Permalink
Browse files

Improved Travis testing configuration

  • Loading branch information...
1 parent d26542a commit 05dcf715424f51450269aa8fb6f8018c71a2ae55 @javiereguiluz committed Dec 16, 2016
Showing with 8 additions and 13 deletions.
  1. +8 −13 .travis.yml
View
@@ -21,49 +21,44 @@ env:
matrix:
fast_finish: true
include:
+ # bleeding edge (unreleased dev versions where failures are allowed)
- php: nightly
env: SYMFONY_VERSION="dev-master"
+ # stable (most recent stable versions)
- php: 7.1
env:
- SYMFONY_VERSION="3.2.*"
- TWIG_VERSION="2.x-dev"
- CHECK_PHP_SYNTAX="yes"
+ # common (some popular version combinations)
- php: 7.0
env: SYMFONY_VERSION="3.1.*"
- - php: 5.6
- env: SYMFONY_VERSION="2.3.*"
- - php: 5.6
- env: SYMFONY_VERSION="2.7.*"
+ # common (some popular version combinations)
- php: 5.6
env:
- SYMFONY_VERSION="2.8.*"
- ENABLE_CODE_COVERAGE="true"
+ # legacy (oldest supported versions)
- php: 5.3
env:
- SYMFONY_VERSION="2.3.*"
- COMPOSER_FLAGS="--prefer-lowest"
- - php: hhvm-stable
- env: SYMFONY_VERSION="2.8.*"
- sudo: required
- dist: trusty
- group: edge
allow_failures:
- php: nightly
- - php: hhvm-stable
- - env: TWIG_VERSION="2.x-dev"
+ # code coverage is very slow; allow a failure to get the Travis result early
- env:
- SYMFONY_VERSION="2.8.*"
- ENABLE_CODE_COVERAGE="true"
before_install:
- stty cols 120
- - if [[ ! $TRAVIS_PHP_VERSION = hhvm* ]]; then INI_FILE=~/.phpenv/versions/$(phpenv version-name)/etc/conf.d/travis.ini; else INI_FILE=/etc/hhvm/php.ini; fi
+ - INI_FILE=~/.phpenv/versions/$(phpenv version-name)/etc/conf.d/travis.ini
- echo memory_limit = -1 >> $INI_FILE
- echo session.gc_probability = 0 >> $INI_FILE
- echo opcache.enable_cli = 1 >> $INI_FILE
- if [[ "SYMFONY_VERSION" == "2.8.*" || "SYMFONY_VERSION" == 3.* ]]; then export SYMFONY_DEPRECATIONS_HELPER="strict"; fi;
- if [[ "$ENABLE_CODE_COVERAGE" != "true" ]]; then rm -f ~/.phpenv/versions/$(phpenv version-name)/etc/conf.d/xdebug.ini; fi;
- - composer selfupdate
+ - composer self-update
- if [[ "$SYMFONY_VERSION" != "" ]]; then composer require "symfony/symfony:${SYMFONY_VERSION}" --no-update; fi;
- if [[ "$TWIG_VERSION" != "" ]]; then composer require "twig/twig:${TWIG_VERSION}" --no-update; fi;

0 comments on commit 05dcf71

Please sign in to comment.